Summary:	Video extension headers
Summary(pl.UTF-8):	Nagłówki roszerzenia Video
Name:		xorg-proto-videoproto
Version:	2.3.1
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/videoproto-%{version}.tar.bz2
# Source0-md5:	c3b348c6e2031b72b11ae63fc7f805c2
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Video (XVideo) extension headers.

%description -l pl.UTF-8
Nagłówki roszerzenia Video (XVideo).

%package devel
Summary:	Video extension headers
Summary(pl.UTF-8):	Nagłówki roszerzenia Video
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
Video (XVideo) extension headers.

%description devel -l pl.UTF-8
Nagłówki roszerzenia Video (XVideo).

%prep
%setup -q -n videoproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README xv-protocol-v2.txt
%{_includedir}/X11/extensions/Xv*.h
%{_includedir}/X11/extensions/vldXvMC.h
%{_pkgconfigdir}/videoproto.pc
%changelog
* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 0f27a1a
- updated BRs
- added README and protocol specs to doc

* Tue Aug 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 374d6d6
- up to 2.3.1

* Mon Sep 28 2009 Jakub Bogusz <qboosh@pld-linux.org> 2b4f9f1
- Video is an extension

* Mon Sep 28 2009 Jakub Bogusz <qboosh@pld-linux.org> c1a45ed
- util-macros version
- more verbose files

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5138c78
- up to 2.3.0

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e7f0d1
- individual url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ba9f7b7
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 431c406
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d7729db
- converted to UTF-8

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> bfca6de
- release 1.

* Fri Dec 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 1bfb565
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 62530b1
- 2.2.2 (X11R7.0-RC4)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> d87c725
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 013f7e9
- BR: autoconf >= 2.57

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> e2e5e17
- 2.2.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 3a0f9ad
- kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> b6cfa20
- s/pkg-config/pkgconfig/ in BR:

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 15731d4
- cleanups

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 7de0e7d
- modular xorg specs

